using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace SampleClient
{
    public partial class CtrlStatus : UserControl
    {
        private StatusFile myStatusFile;
        private string sStatusFile;

        public CtrlStatus(string sStatusFileIn)
        {
            InitializeComponent();
            sStatusFile = sStatusFileIn;

        }

        private void CtrlStatus_Load(object sender, EventArgs e)
        {
            myStatusFile = new StatusFile(sStatusFile);
            myStatusFile.Refresh();

            foreach (Job myJob in myStatusFile.Jobs)
            {
                ListViewItem myItem = new ListViewItem(myJob.sName);
                if (myJob.fCompletedJob)
                    myItem.ForeColor = Color.Blue;
                else
                    myItem.ForeColor = Color.Green;
                this.listViewJobs.Items.Add(myJob.sName);
            }
            this.listViewJobs.Focus();
            this.listViewJobs.Items[0].Selected = true;
        }

        private void listViewJobs_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (listViewJobs.SelectedItems.Count > 0)
            {
                Job myJob = myStatusFile.Jobs[listViewJobs.SelectedItems[0].Index] as Job;
                this.labelJobDiscs.Text = myJob.nDiscsRemaining.ToString() + "Discs Remaining " + myJob.nGoodDiscs.ToString() + " Good Discs created " + myJob.nBadDiscs.ToString() + " Bad Discs created ";
                this.labelJobTimes.Text = "Unknown";
            }
        }


    }
}
