using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PrimeraTechnology;

namespace PTRobotUserControl
{
    public partial class FormPrinterSettings : Form
    {
        public UInt32 InnerDiameter;
        public UInt32 OuterMargin;
        public PrimeraTechnology.PrintQuality PrintQuality;
        public bool UsePrinterSettings;

        public FormPrinterSettings()
        {
            InitializeComponent();
            InnerDiameter = 26;
            OuterMargin = 10;
            PrintQuality = PrintQuality.High;
            UsePrinterSettings = false;
        }

        private void FormPrinterSettings_Load(object sender, EventArgs e)
        {
            this.comboBoxPrintQuality.Items.Add(PrintQuality.Low.ToString());
            this.comboBoxPrintQuality.Items.Add(PrintQuality.Medium.ToString());
            this.comboBoxPrintQuality.Items.Add(PrintQuality.Better.ToString());
            this.comboBoxPrintQuality.Items.Add(PrintQuality.High.ToString());
            this.comboBoxPrintQuality.Items.Add(PrintQuality.Best.ToString());           
            
            this.numericUpDownInnerDiam.Value = this.InnerDiameter;
            this.numericUpDownOuterMargin.Value = this.OuterMargin;
            this.checkBoxUsePrinterSettings.Checked = UsePrinterSettings;
            this.comboBoxPrintQuality.SelectedIndex = Convert.ToInt32(PrintQuality);
        }

        private void buttonSet_Click(object sender, EventArgs e)
        {
            this.InnerDiameter =Convert.ToUInt32(this.numericUpDownInnerDiam.Value);
            this.OuterMargin = Convert.ToUInt32(this.numericUpDownOuterMargin.Value);
            UsePrinterSettings = this.checkBoxUsePrinterSettings.Checked;
            PrintQuality = (PrimeraTechnology.PrintQuality)this.comboBoxPrintQuality.SelectedIndex;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {

        }

    }
}