using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace SampleClient
{
    class Utility
    {

    public static string INIGetKeyValue(string strSection, string 
strKeyName, string strFileName) 
    { 
            int intReturn = 0; 
            int BufferSize = 2048; 

            StringBuilder lpReturn = new StringBuilder(BufferSize); 

            intReturn = GetPrivateProfileString(strSection, strKeyName, "", 
lpReturn, BufferSize, strFileName); 
            if (intReturn == 0) 
            { 
                    return ""; 
            } 
            return lpReturn.ToString(); 
    } 


    /// <summary>Writes a key/value pair to a section of an INI file 
    /// </summary> 
    /// <param name="strSection">String containing section name</param> 
    /// <param name="strKeyName">String containing key name</param> 
    /// <param name="strKeyValue">String containing key value</param> 
    /// <param name="strFileName">Full path and file name of INI file</param> 
    public static bool INIWriteKey(string strSection, string strKeyName, 
string strKeyValue, string strFileName) 
    { 
            int intReturn = WritePrivateProfileString(strSection, strKeyName, 
strKeyValue, strFileName); 
            if (intReturn == 0) 
                    return false; 
            else 
                    return true; 
    } 


//      GetPrivateProfileString 
    [DllImport("kernel32.DLL", EntryPoint = "GetPrivateProfileString", 
SetLastError = true, CharSet = CharSet.Auto)] 
    public static extern int GetPrivateProfileString(string 
lpSectionName, string lpKeyName, string lpDefault, StringBuilder 
lpReturnedString, int nSize, string lpFileName); 


//      WritePrivateProfileString 
    [DllImport("kernel32.DLL", EntryPoint = "WritePrivateProfileStringA", 
SetLastError = true, CallingConvention = CallingConvention.StdCall)] 
    public static extern int WritePrivateProfileString(string 
lpSectionName, string lpKeyName, string lpKeyValue, string lpFileName); 





    }
}
